routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['middleware' => ['auth']], function () {
Route::resource('recettes', 'RecettesController');
Route::resource('ingredients', 'IngredientsController');
Route::resource('homes', 'RecettesController');
Route::resource('categories', 'CategoriesController');
});

Route::get('/', function () {
    return view('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Http/Controllers/CategoriesController.php
<?php

namespace App\Http\Controllers;

use App\categories;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      $categories = categories::all();
      return view('categories.index',['categories' => $categories]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('categories.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
     public function store(Request $request)
     {
       $inputs = $request->except('_token');
       $categorie = new categories();
       foreach ($inputs as $key => $value) {
           $categorie->$key = $value;
       }
       $categorie->save();

       return redirect(route('categories.index'))->with('success', 'Experience enregistré avec succès !');
     }

    /**
     * Display the specified resource.
     *
     * @param  \App\categories  $categories
     * @return \Illuminate\Http\Response
     */
    public function show(categories $categories)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\categories  $categories
     * @return \Illuminate\Http\Response
     */
     public function edit($id)
     {
       $categorie = categories::find($id);
       return view('categories.edit', ['categorie' => $categorie]);
     }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\categories  $categories
     * @return \Illuminate\Http\Response
     */
     public function update(Request $request, $id)
     {
       $inputs = $request->except('_token', '_method');
       $categorie = categories::find($id);
       foreach ($inputs as $key => $value) {
         $categorie->$key = $value;
       }
       $categorie->save();

       return redirect(route('categories.index'))->with('success', 'Experience mis a jour avec succès !');
     }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\categories  $categories
     * @return \Illuminate\Http\Response
     */
     public function destroy($id)
     {
         $categorie = categories::find($id);
         $categorie->delete();

         return redirect(route('categories.index'))->with('succes', 'Experience mis à jour avec succès !');
     }
}

resources/views/categories/create.blade.php
@extends('template.app')

@section('title', 'Créer - categorie')

@section('contenu')
<div class="card">
    <div class="card-header">Créer une categorie</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('categories.store')}}">
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" />
                    <label for="name">Nom</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control"></textarea>
                </div>
            </div>
            <button type="submit" class="btn press primary">Créer</button>
        </form>
    </div>
</div>
@endsection

resources/views/categories/edit.blade.php
@extends('template.admin')

@section('title', 'Editer - categorie')

@section('contenu')
<div class="card">
    <div class="card-header">Editer une categorie</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('categories.update', ['categorie' => $categorie->id])}}">
            @method('PUT')
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" value="{{$categorie->name}}" />
                    <label for="title">Titre</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control">{{$categorie->description}}</textarea>
                </div>
            </div>
            <button type="submit" class="btn press secondary">Mettre à jour</button>
        </form>
    </div>
</div>
@endsection

resources/views/categories/index.blade.php
@extends('template.app')

@section('title', 'Mes categories')

@section('contenu')
<div class="responsive-table">
    <table class="table">
        <thead>
            <tr>
                <th>#</th>
                <th>Nom</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
          <a href="{{route('categories.create')}}"class="btn blue"
        <span class="outline-text">Ajouter categorie</span>
      </a>
            @foreach($categories as $categorie)
            <tr>
                <td>{{$categorie->id}}</td>
                <td>{{$categorie->name}}</td>
                <td>{{$categorie->description}}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection